Vla-Addbox

提供: GizmoLabs
移動先: 案内検索
構文
(vla-addbox vla-object1 Origin Length Width Height)


機能
WCS の各軸に平行なエッジを持つ 3D ソリッド 直方体を作成する。


引数
  • vla-object1 … VLA オブジェクト (Block、ModelSpace、PaperSpace)
  • Origin … 直方体の原点を示す 3D WCS 座標。この座標はオブジェクトの境界ボックスの中心を示すもので、コーナーを示すものではない。
  • Length … 直方体の長さ(負数は不可)。
  • Width … 直方体の幅(負数は不可)。
  • Height … 直方体の高さ(負数は不可)。


戻り値
作成された図形の VLAオブジェクト


サンプル

(vl-load-com)
(defun c:Example_AddBox()
    ;; box (3dsolid)をモデル空間に作成するサンプル
    (setq doc (vla-get-ActiveDocument (vlax-get-acad-object)))
    
    ;; boxの値
    (setq center (vlax-3d-point 5 5 0)
          boxLength 5
	         boxWidth 7
	         boxHeight 10)
    
    ;; box (3DSolid)の作成 
    (setq modelSpace (vla-get-ModelSpace doc))
    (setq boxObj (vla-AddBox modelSpace center boxLength boxWidth boxHeight))
    
    ;; ビューを更新
    (setq NewDirection (vlax-3d-point -1 -1 1))
    (setq activeViewport (vla-get-ActiveViewport doc))
    (vla-put-Direction activeViewport NewDirection)
    (vla-put-ActiveViewport doc activeViewport)
    (vla-ZoomAll (vlax-get-acad-object))
)


関連事項